LibreOffice: XConnectable Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XConnectable Interface Referencepublished

makes it possible to connect data sinks and sources. More...

`import "XConnectable.idl";`

Inheritance diagram for XConnectable:

## Public Member Functions
void | setPredecessor ([in] com::sun::star::io::XConnectable aPredecessor)
| sets the source of the data flow for this object.
com::sun::star::io::XConnectable | getPredecessor ()
void | setSuccessor ([in] com::sun::star::io::XConnectable aSuccessor)
| sets the sink of the data flow for this object.
com::sun::star::io::XConnectable | getSuccessor ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to connect data sinks and sources.

The predecessor-member is the element in the connection that is nearer to the source of the data. The successor-member is the element that is further away from the source of the data. (Note that this classification does not depend on whether the class implements XInputStream or XOutputStream; it only depends on the direction of data flow.)

This interface allows generic services to navigate between arbitrary elements of a connection.

## Member Function Documentation

## ◆ getPredecessor()

com::sun::star::io::XConnectable getPredecessor | ( |  | ) |

Returns
  the predecessor of this object.

## ◆ getSuccessor()

com::sun::star::io::XConnectable getSuccessor | ( |  | ) |

Returns
  the successor of this object.

## ◆ setPredecessor()

void setPredecessor | ( | [in] com::sun::star::io::XConnectable | aPredecessor | ) |

sets the source of the data flow for this object.

## ◆ setSuccessor()

void setSuccessor | ( | [in] com::sun::star::io::XConnectable | aSuccessor | ) |

sets the sink of the data flow for this object.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XConnectable.idl